Skip to content

This page describes Revolution release 149.

Search these docs, or ask Revo a question — answers link the pages they came from.

Remove the labware from every location of a device, skipping claimed locations.


DELETE
/api/v1/{tenantId}/system/devices/{deviceId}/labware

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string
deviceId
required
string

OK

object
deviceId
string
nullable
cleared
Array<object>
nullable
object
locationId
string
nullable
labwareInstanceId
string
nullable
reason
string
nullable
code
string
nullable
skippedClaimed
Array<object>
nullable
object
locationId
string
nullable
labwareInstanceId
string
nullable
reason
string
nullable
code
string
nullable
failed
Array<object>
nullable
object
locationId
string
nullable
labwareInstanceId
string
nullable
reason
string
nullable
code
string
nullable

Bad Request

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Forbidden

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Not Found

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Conflict

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable